PtexTriangleKernel.h File Reference
`#include <assert.h>`
`#include <algorithm>`
`#include <numeric>`
`#include "Ptexture.h"`
`#include "PtexUtils.h"`

Go to the source code of this file.

## Classes

class | PtexTriangleKernelIter
| Triangle filter kernel iterator (in texel coords) More...
class | PtexTriangleKernel
| Triangle filter kernel (in normalized triangle coords) More...

## Macros

#define | C(eid, aeid) (eid*3 + aeid)

## Variables

PTEX_NAMESPACE_BEGIN const float | PtexTriangleKernelWidth = 3.5f

## Macro Definition Documentation

## C

#define C | ( |  | eid,
|  |  | aeid
| ) |  | (eid*3 + aeid)

## Variable Documentation

## PtexTriangleKernelWidth

PTEX_NAMESPACE_BEGIN const float PtexTriangleKernelWidth = 3.5f

Definition at line 50 of file PtexTriangleKernel.h.

Referenced by PtexTriangleFilter::buildKernel(), and PTEX_NAMESPACE_BEGIN::gaussian().